Name:           perl-Mojolicious-Plugin-CSRFDefender
Version:        0.0.8
Release:        1%{?dist}
Summary:        Defend CSRF automatically in Mojolicious Application
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mojolicious-Plugin-CSRFDefender/
Source0:        Mojolicious-Plugin-CSRFDefender-%{version}.tar.gz
#Source0:        http://www.cpan.org/authors/id/S/SH/SHIBAZAKI/Mojolicious-Plugin-CSRFDefender-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  perl(Mojolicious) >= 1.43
BuildRequires:  perl(Mojolicious::Lite)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(String::Random)
BuildRequires:  perl(Test::Class)
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Mojolicious) >= 1.43
Requires:       perl(Path::Class)
Requires:       perl(String::Random)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin defends CSRF automatically in Mojolicious Application.
Following is the strategy.

%prep
%setup -q -n Mojolicious-Plugin-CSRFDefender-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Mar 07 2021 Michel Begue <mab974@gmail.com> 0.0.8-1
- Specfile autogenerated by cpanspec 1.78.
